Folders
Update folder
Updates a folder's name, icon, icon color, visibility, or rules. Fields you leave out stay the same, and ruleGroups replaces all of the folder's rules. Returns the folder.
Path Parameters
folderId*string
The unique identifier of the folder.
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/folder/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "k3Lm9QpR2sTvWx7Yz4AbC", "name": "Customers", "url": "https://circleback.ai/folders/k3Lm9QpR2sTvWx7Yz4AbC", "canManage": true, "color": "bg-tag-blue", "icon": "briefcase", "type": "Shared", "visibility": "Closed", "workspaceId": 1, "invitations": [ { "profileId": 2, "name": "Samantha Grey", "access": "Viewer", "email": "samantha@initech.com" } ], "joinRequests": [], "members": [ { "profileId": 1, "name": "John Appleseed", "access": "Editor", "email": "john@initech.com", "isContributor": true, "isOwner": true, "userId": 1, "teamIds": [], "workspaceIds": [] } ], "ruleGroups": [ { "conditions": [ { "operator": "Contains", "type": "MeetingName", "value": "Initech" } ] } ], "teams": [ { "access": "Viewer", "isContributor": false, "teamId": 1 } ], "workspaces": []}{ "code": "string", "error": "string", "seatsToAdd": 1, "issues": [ { "message": "string", "path": "string" } ]}{ "code": "string", "error": "string", "seatsToAdd": 1, "issues": [ { "message": "string", "path": "string" } ]}